## org.codehaus.groovy.grails.web.context
Class GrailsContextLoaderServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.springframework.web.context.ContextLoaderServlet
                  org.codehaus.groovy.grails.web.context.GrailsContextLoaderServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class GrailsContextLoaderServlet

extends ContextLoaderServlet

Grails specific context loader servlet for pre-2.4 servlet containers. Containers that support 2.4 and later should use the `GrailsContextLoaderListener` instead.

See Also:
  Serialized Form

Constructor Summary
`GrailsContextLoaderServlet()`

Method Summary
`protected ContextLoader` `createContextLoader()` Creates a new GrailsContextLoader.

Methods inherited from class org.springframework.web.context.ContextLoaderServlet
`destroy, getContextLoader, getServletInfo, init, service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsContextLoaderServlet

    public GrailsContextLoaderServlet()

Method Detail

### createContextLoader

    protected ContextLoader createContextLoader()

  Creates a new GrailsContextLoader.

  Overrides:
    `createContextLoader` in class `ContextLoaderServlet`

Copyright (c) 2005-2009 The Grails project